"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var errorIfNotInteger_1 = require("basic-data-handling/errorIfNotInteger");
var error_if_not_populated_array_1 = require("error-if-not-populated-array");
// index can be negative or positive.
function indexIsValid(index, array) {
    errorIfNotInteger_1.errorIfNotInteger(index);
    error_if_not_populated_array_1.errorIfNotPopulatedArray(array);
    if (index < 0) {
        var positiveIndex = -index;
        return (positiveIndex <= array.length);
    }
    else
        return (index < array.length);
}
exports.indexIsValid = indexIsValid;
